Skip to main content
Resource Center/Resource Pool/VM Scheduling Rule Group Operations
PUTVM Scheduling Rule Group OperationsSince 4.6.0SynchronousAuth Required

ValidateVmSchedulingRule

ValidateVmSchedulingRule

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • validatevmschedulingruleObjectRequired

    validatevmschedulingrule request body object.

    • vmGroupUuidStringRequired

      The VM scheduling group UUID.

    • hostGroupUuidString

      Optional. The host scheduling group UUID.

    • ruleStringRequired

      The VM scheduling rule.

    • modeStringRequired

      The execution mode of the rule.

    • zoneUuidString

      Optional. The zone UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/zstack/v1/validate/vmSchedulingRule

/zstack/v1/validate/vmSchedulingRule

Operation ID

ValidateVmSchedulingRule

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/validate/vmSchedulingRule' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"validatevmschedulingrule":{"vmGroupUuid":"<vmGroupUuid>","hostGroupUuid":"<hostGroupUuid>","rule":"<rule>","mode":"<mode>","zoneUuid":"<zoneUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history